"use strict";

var _transform = require("./transform");

var _query = require("./query");

var _queries = require("./queries");

exports.sourceNodes = async ({
  actions,
  reporter
}, options) => {
  try {
    const {
      createNode
    } = actions;
    const {
      queries
    } = options;

    if (!queries || queries.orders) {
      const orders = await (0, _query.createQuery)(_queries.ordersQuery, {
        LineItem: 'lineItems'
      }, options, reporter);
      reporter.info(`gatsby-source-shopify-graphql fetched ${orders.length} orders`);
      orders.forEach(order => createNode((0, _transform.transformOrderNode)(order)));
    }

    if (!queries || queries.products) {
      const products = await (0, _query.createQuery)(_queries.productsQuery, {
        Metafield: 'metafields',
        Variant: 'variants'
      }, options, reporter);
      reporter.info(`gatsby-source-shopify-graphql fetched ${products.length} products`);
      products.forEach(product => createNode((0, _transform.transformProductNode)(product)));
    }
  } catch (error) {
    reporter.panicOnBuild(error);
  }

  return;
};